Naar hoofdinhoud
materials

Update an existing material.

PUT
/material/{materialId}
X-API-Keystringheaderverplicht
materialIdstringverplicht

The id of the material to perform the action on.

Body

application/json

Material object.

barcodestring

The barcode of this material.

categoriesobject[]

The categories of this material.

codestringverplicht

The unique code of this material, generated from the name when left empty.

created_atstring

The date and time this material was created.

deleted_atstring

The date and time this material was archived, or null when it is not archived.

descriptionstring

The description of this material.

discountstring

The legacy discount of this material, as a numeric string. Rates are managed through pricings.

eural_codestring

The Eural code (European waste code) of this material, used on guidance letters.

external_idsobject

The IDs of this material in connected third-party applications, keyed by connection.

extra_dataobject

The values of the custom fields of this material, keyed by custom field code.

hide_in_appinteger

Whether this material is hidden in the app. Returned as 1 (yes) or 0 (no).

idintegerverplicht

The ID of this material.

is_amount_articleinteger

Whether this material is an amount (hoeveelheid) material, linked under amounts on a task instead of being issued to the client (klant). Returned as 1 (yes) or 0 (no).

material_codestring

The material code (artikelcode) of this material.

namestringverplicht

The name of this material.

pricestring

The legacy price of this material, as a numeric string. Rates are managed through pricings.

price_perstring

The legacy price unit of this material. Rates are managed through pricings.

processing_methodstring

The processing method of this material used on guidance letters, for example 'B04'.

sort_orderinteger

The position of this material in sorted lists.

stockstring

The current stock of this material. Returned as a numeric string, e.g. "12.50".

tiersobject[]

The legacy price tiers of this material. Rates are managed through pricings.

typestring

Whether this material is for rental or sale in sales & rental, either 'rent' or 'sale'.

unit_custom_namestring

The custom unit name when unit_id is set to zero (0).

unit_idinteger

The ID of the unit of this material. Set to zero (0) to use unit_custom_name instead.

updated_atstring

The date and time this material was last updated.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.